export declare const DatabaseErrorCode: {
    ErrorInit: number;
    ErrorNoRecord: number;
    ErrorDBTimeout: number;
};
export declare enum CbEvents {
    LOGIN = "Login",
    ONCONNECTFAILED = "OnConnectFailed",
    ONCONNECTSUCCESS = "OnConnectSuccess",
    ONCONNECTING = "OnConnecting",
    ONKICKEDOFFLINE = "OnKickedOffline",
    ONSELFINFOUPDATED = "OnSelfInfoUpdated",
    ONUSERTOKENEXPIRED = "OnUserTokenExpired",
    ONPROGRESS = "OnProgress",
    ONRECVNEWMESSAGE = "OnRecvNewMessage",
    ONRECVNEWMESSAGES = "OnRecvNewMessages",
    ONRECVOFFLINENEWMESSAGES = "OnRecvOfflineNewMessages",
    ONRECVMESSAGEREVOKED = "OnRecvMessageRevoked",
    ONRECVC2CREADRECEIPT = "OnRecvC2CReadReceipt",
    ONRECVGROUPREADRECEIPT = "OnRecvGroupReadReceipt",
    ONCONVERSATIONCHANGED = "OnConversationChanged",
    ONNEWCONVERSATION = "OnNewConversation",
    ONSYNCSERVERFAILED = "OnSyncServerFailed",
    ONSYNCSERVERFINISH = "OnSyncServerFinish",
    ONSYNCSERVERSTART = "OnSyncServerStart",
    ONTOTALUNREADMESSAGECOUNTCHANGED = "OnTotalUnreadMessageCountChanged",
    ONBLACKADDED = "OnBlackAdded",
    ONBLACKDELETED = "OnBlackDeleted",
    ONFRIENDAPPLICATIONACCEPTED = "OnFriendApplicationAccepted",
    ONFRIENDAPPLICATIONADDED = "OnFriendApplicationAdded",
    ONFRIENDAPPLICATIONDELETED = "OnFriendApplicationDeleted",
    ONFRIENDAPPLICATIONREJECTED = "OnFriendApplicationRejected",
    ONFRIENDINFOCHANGED = "OnFriendInfoChanged",
    ONFRIENDADDED = "OnFriendAdded",
    ONFRIENDDELETED = "OnFriendDeleted",
    ONJOINEDGROUPADDED = "OnJoinedGroupAdded",
    ONJOINEDGROUPDELETED = "OnJoinedGroupDeleted",
    ONGROUPMEMBERADDED = "OnGroupMemberAdded",
    ONGROUPMEMBERDELETED = "OnGroupMemberDeleted",
    ONGROUPAPPLICATIONADDED = "OnGroupApplicationAdded",
    ONGROUPAPPLICATIONDELETED = "OnGroupApplicationDeleted",
    ONGROUPINFOCHANGED = "OnGroupInfoChanged",
    ONGROUPMEMBERINFOCHANGED = "OnGroupMemberInfoChanged",
    ONGROUPAPPLICATIONACCEPTED = "OnGroupApplicationAccepted",
    ONGROUPAPPLICATIONREJECTED = "OnGroupApplicationRejected",
    ONRECEIVENEWINVITATION = "OnReceiveNewInvitation",
    ONINVITEEACCEPTED = "OnInviteeAccepted",
    ONINVITEEREJECTED = "OnInviteeRejected",
    ONINVITATIONCANCELLED = "OnInvitationCancelled",
    ONHANGUP = "OnHangUp",
    ONINVITATIONTIMEOUT = "OnInvitationTimeout",
    ONINVITEEACCEPTEDBYOTHERDEVICE = "OnInviteeAcceptedByOtherDevice",
    ONINVITEEREJECTEDBYOTHERDEVICE = "OnInviteeRejectedByOtherDevice",
    ONORGANIZATIONUPDATED = "OnOrganizationUpdated",
    ONRECVNEWMESSAGEFROMOTHERWEB = "OnRecvNewMessageFromOtherWeb",
    ONNEWRECVMESSAGEREVOKED = "OnNewRecvMessageRevoked",
    ONRECVMESSAGEEXTENSIONSCHANGED = "OnRecvMessageExtensionsChanged",
    ONRECVMESSAGEEXTENSIONSDELETED = "OnRecvMessageExtensionsDeleted",
    ONRECVMESSAGEEXTENSIONSADDED = "OnRecvMessageExtensionsAdded"
}
export declare enum RequestFunc {
    INITSDK = "InitSDK",
    LOGIN = "Login",
    LOGOUT = "Logout",
    GETLOGINSTATUS = "GetLoginStatus",
    GETLOGINUSER = "GetLoginUser",
    GETSELFUSERINFO = "GetSelfUserInfo",
    CREATETEXTMESSAGE = "CreateTextMessage",
    CREATETEXTATMESSAGE = "CreateTextAtMessage",
    CREATEADVANCEDTEXTMESSAGE = "CreateAdvancedTextMessage",
    CREATEADVANCEDQUOTEMESSAGE = "CreateAdvancedQuoteMessage",
    CREATEIMAGEMESSAGEFROMBYURL = "CreateImageMessageByURL",
    CREATESOUNDMESSAGEBYURL = "CreateSoundMessageByURL",
    CREATEVIDEOMESSAGEBYURL = "CreateVideoMessageByURL",
    CREATEFILEMESSAGEBYURL = "CreateFileMessageByURL",
    CREATEIMAGEMESSAGEFROMFULLPATH = "CreateImageMessageFromFullPath",
    CREATESOUNDMESSAGEFROMFULLPATH = "CreateSoundMessageFromFullPath",
    CREATEVIDEOMESSAGEFROMFULLPATH = "CreateVideoMessageFromFullPath",
    CREATEFILEMESSAGEFROMFULLPATH = "CreateFileMessageFromFullPath",
    CREATELOCATIONMESSAGE = "CreateLocationMessage",
    CREATECUSTOMMESSAGE = "CreateCustomMessage",
    CREATEMERGERMESSAGE = "CreateMergerMessage",
    CREATEFORWARDMESSAGE = "CreateForwardMessage",
    CREATEQUOTEMESSAGE = "CreateQuoteMessage",
    CREATECARDMESSAGE = "CreateCardMessage",
    CREATEFACEMESSAGE = "CreateFaceMessage",
    SENDMESSAGE = "SendMessage",
    SENDMESSAGENOTOSS = "SendMessageNotOss",
    GETHISTORYMESSAGELIST = "GetHistoryMessageList",
    GETADVANCEDHISTORYMESSAGELIST = "GetAdvancedHistoryMessageList",
    GETHISTORYMESSAGELISTREVERSE = "GetHistoryMessageListReverse",
    REVOKEMESSAGE = "RevokeMessage",
    SETONECONVERSATIONPRIVATECHAT = "SetOneConversationPrivateChat",
    DELETEMESSAGEFROMLOCALSTORAGE = "DeleteMessageFromLocalStorage",
    DELETEMESSAGEFROMLOCALANDSVR = "DeleteMessageFromLocalAndSvr",
    DELETECONVERSATIONFROMLOCALANDSVR = "DeleteConversationFromLocalAndSvr",
    DELETEALLCONVERSATIONFROMLOCAL = "DeleteAllConversationFromLocal",
    DELETEALLMSGFROMLOCALANDSVR = "DeleteAllMsgFromLocalAndSvr",
    DELETEALLMSGFROMLOCAL = "DeleteAllMsgFromLocal",
    MARKSINGLEMESSAGEHASREAD = "MarkSingleMessageHasRead",
    INSERTSINGLEMESSAGETOLOCALSTORAGE = "InsertSingleMessageToLocalStorage",
    INSERTGROUPMESSAGETOLOCALSTORAGE = "InsertGroupMessageToLocalStorage",
    TYPINGSTATUSUPDATE = "TypingStatusUpdate",
    MARKC2CMESSAGEASREAD = "MarkC2CMessageAsRead",
    MARKMESSAGEASREADBYCONID = "MarkMessageAsReadByConID",
    CLEARC2CHISTORYMESSAGE = "ClearC2CHistoryMessage",
    CLEARC2CHISTORYMESSAGEFROMLOCALANDSVR = "ClearC2CHistoryMessageFromLocalAndSvr",
    CLEARGROUPHISTORYMESSAGE = "ClearGroupHistoryMessage",
    CLEARGROUPHISTORYMESSAGEFROMLOCALANDSVR = "ClearGroupHistoryMessageFromLocalAndSvr",
    ADDFRIEND = "AddFriend",
    SEARCHFRIENDS = "SearchFriends",
    GETDESIGNATEDFRIENDSINFO = "GetDesignatedFriendsInfo",
    GETRECVFRIENDAPPLICATIONLIST = "GetRecvFriendApplicationList",
    GETSENDFRIENDAPPLICATIONLIST = "GetSendFriendApplicationList",
    GETFRIENDLIST = "GetFriendList",
    SETFRIENDREMARK = "SetFriendRemark",
    ADDBLACK = "AddBlack",
    GETBLACKLIST = "GetBlackList",
    REMOVEBLACK = "RemoveBlack",
    CHECKFRIEND = "CheckFriend",
    ACCEPTFRIENDAPPLICATION = "AcceptFriendApplication",
    REFUSEFRIENDAPPLICATION = "RefuseFriendApplication",
    DELETEFRIEND = "DeleteFriend",
    GETUSERSINFO = "GetUsersInfo",
    SETSELFINFO = "SetSelfInfo",
    GETALLCONVERSATIONLIST = "GetAllConversationList",
    GETCONVERSATIONLISTSPLIT = "GetConversationListSplit",
    GETONECONVERSATION = "GetOneConversation",
    GETCONVERSATIONIDBYSESSIONTYPE = "GetConversationIDBySessionType",
    GETMULTIPLECONVERSATION = "GetMultipleConversation",
    DELETECONVERSATION = "DeleteConversation",
    SETCONVERSATIONDRAFT = "SetConversationDraft",
    PINCONVERSATION = "PinConversation",
    GETTOTALUNREADMSGCOUNT = "GetTotalUnreadMsgCount",
    GETCONVERSATIONRECVMESSAGEOPT = "GetConversationRecvMessageOpt",
    SETCONVERSATIONRECVMESSAGEOPT = "SetConversationRecvMessageOpt",
    SEARCHLOCALMESSAGES = "SearchLocalMessages",
    MARKGROUPMESSAGEHASREAD = "MarkGroupMessageHasRead",
    MARKGROUPMESSAGEASREAD = "MarkGroupMessageAsRead",
    INVITEUSERTOGROUP = "InviteUserToGroup",
    KICKGROUPMEMBER = "KickGroupMember",
    GETGROUPMEMBERSINFO = "GetGroupMembersInfo",
    GETGROUPMEMBERLIST = "GetGroupMemberList",
    GETGROUPMEMBERLISTBYJOINTIME = "GetGroupMemberListByJoinTime",
    GETJOINEDGROUPLIST = "GetJoinedGroupList",
    CREATEGROUP = "CreateGroup",
    SETGROUPINFO = "SetGroupInfo",
    SETGROUPMEMBERNICKNAME = "SetGroupMemberNickname",
    GETGROUPSINFO = "GetGroupsInfo",
    JOINGROUP = "JoinGroup",
    SEARCHGROUPS = "SearchGroups",
    QUITGROUP = "QuitGroup",
    DISMISSGROUP = "DismissGroup",
    CHANGEGROUPMUTE = "ChangeGroupMute",
    CHANGEGROUPMEMBERMUTE = "ChangeGroupMemberMute",
    TRANSFERGROUPOWNER = "TransferGroupOwner",
    GETSENDGROUPAPPLICATIONLIST = "GetSendGroupApplicationList",
    GETRECVGROUPAPPLICATIONLIST = "GetRecvGroupApplicationList",
    ACCEPTGROUPAPPLICATION = "AcceptGroupApplication",
    REFUSEGROUPAPPLICATION = "RefuseGroupApplication",
    SIGNAL_INGINVITE = "SignalingInvite",
    SIGNALINGINVITEINGROUP = "SignalingInviteInGroup",
    SIGNALINGACCEPT = "SignalingAccept",
    SIGNALINGREJECT = "SignalingReject",
    SIGNALINGCANCEL = "SignalingCancel",
    SIGNALINGHUNGUP = "SignalingHungUp",
    GETSUBDEPARTMENT = "GetSubDepartment",
    GETDEPARTMENTMEMBER = "GetDepartmentMember",
    GETUSERINDEPARTMENT = "GetUserInDepartment",
    GETDEPARTMENTMEMBERANDSUBDEPARTMENT = "GetDepartmentMemberAndSubDepartment",
    GETDEPARTMENTINFO = "GetDepartmentInfo",
    SEARCHORGANIZATION = "SearchOrganization",
    RESETCONVERSATIONGROUPATTYPE = "ResetConversationGroupAtType",
    SETGROUPMEMBERROLELEVEL = "SetGroupMemberRoleLevel",
    SETGROUPVERIFICATION = "SetGroupVerification",
    SETGLOBALRECVMESSAGEOPT = "SetGlobalRecvMessageOpt",
    MODIFYGROUPMESSAGEREACTION = "ModifyGroupMessageReaction",
    SETMESSAGEREACTIONEXTENSIONS = "SetMessageReactionExtensions",
    DELETEMESSAGEREACTIONEXTENSIONS = "DeleteMessageReactionExtensions",
    ADDMESSAGEREACTIONEXTENSIONS = "AddMessageReactionExtensions",
    GETMESSAGELISTREACTIONEXTENSIONS = "GetMessageListReactionExtensions",
    GETMESSAGELISTSOMEREACTIONEXTENSIONS = "GetMessageListSomeReactionExtensions"
}
export declare enum Platform {
    iOS = 1,
    Android = 2,
    Windows = 3,
    MacOSX = 4,
    Web = 5,
    Linux = 7,
    Admin = 8
}
export declare enum MessageStatus {
    Sending = 1,
    Succeed = 2,
    Failed = 3,
    Deleted = 4,
    Recalled = 5,
    Filtered = 6
}
export declare enum MessageType {
    TEXTMESSAGE = 101,
    PICTUREMESSAGE = 102,
    VOICEMESSAGE = 103,
    VIDEOMESSAGE = 104,
    FILEMESSAGE = 105,
    ATTEXTMESSAGE = 106,
    MERGERMESSAGE = 107,
    CARDMESSAGE = 108,
    LOCATIONMESSAGE = 109,
    CUSTOMMESSAGE = 110,
    REVOKEMESSAGE = 111,
    HASREADRECEIPTMESSAGE = 112,
    TYPINGMESSAGE = 113,
    QUOTEMESSAGE = 114,
    FACEMESSAGE = 115,
    ADVANCETEXTMESSAGE = 117,
    ADVANCEDREVOKEMESSAGE = 118,
    CUSTOMMSGNOTTRIGGERCONVERSATIONMESSAGE = 119,
    CUSTOMMSGONLINEONLYMESSAGE = 120,
    REACTIONMESSAGEMODIFIERMESSAGE = 121,
    REACTIONMESSAGEDELETERMESSAGE = 122,
    STARTMESSAGE = 130,
    MESSAGEDIVIDER = 131,
    FRIENDAPPLICATIONAPPROVED = 1201,
    FRIENDAPPLICATIONREJECTED = 1202,
    FRIENDAPPLICATIONADDED = 1203,
    FRIENDADDED = 1204,
    FRIENDDELETED = 1205,
    FRIENDREMARKSET = 1206,
    BLACKADDED = 1207,
    BLACKDELETED = 1208,
    FRIENDINFOUPDATEDNOTIFICATION = 1209,
    FRIENDNOTIFICATIONEND = 1299,
    CONVERSATIONCHANGENOTIFICATION = 1300,
    USERNOTIFICATIONBEGIN = 1301,
    SELFINFOUPDATED = 1303,
    NOTIFICATION = 1400,
    GROUPCREATED = 1501,
    GROUPINFOUPDATED = 1502,
    JOINGROUPAPPLICATIONADDED = 1503,
    MEMBERQUIT = 1504,
    GROUPAPPLICATIONACCEPTED = 1505,
    GROUPAPPLICATIONREJECTED = 1506,
    GROUPOWNERTRANSFERRED = 1507,
    MEMBERKICKED = 1508,
    MEMBERINVITED = 1509,
    MEMBERENTER = 1510,
    GROUPDISMISSED = 1511,
    GROUPMEMBERMUTED = 1512,
    GROUPMEMBERCANCELMUTED = 1513,
    GROUPMUTED = 1514,
    GROUPCANCELMUTED = 1515,
    GROUPMEMBERINFOUPDATED = 1516,
    BURNMESSAGECHANGE = 1701,
    LOADINGMESSAGE = 2000
}
export declare enum MessageExtensionsAction {
    SetMessageExtensions = 1,
    AddMessageExtensions = 2
}
