export const DatabaseErrorCode = {
    ErrorInit: 10001,
    ErrorNoRecord: 10002,
    ErrorDBTimeout: 10003,
};
export var CbEvents;
(function (CbEvents) {
    CbEvents["LOGIN"] = "Login";
    CbEvents["ONCONNECTFAILED"] = "OnConnectFailed";
    CbEvents["ONCONNECTSUCCESS"] = "OnConnectSuccess";
    CbEvents["ONCONNECTING"] = "OnConnecting";
    CbEvents["ONKICKEDOFFLINE"] = "OnKickedOffline";
    CbEvents["ONSELFINFOUPDATED"] = "OnSelfInfoUpdated";
    CbEvents["ONUSERTOKENEXPIRED"] = "OnUserTokenExpired";
    CbEvents["ONPROGRESS"] = "OnProgress";
    CbEvents["ONRECVNEWMESSAGE"] = "OnRecvNewMessage";
    CbEvents["ONRECVNEWMESSAGES"] = "OnRecvNewMessages";
    CbEvents["ONRECVOFFLINENEWMESSAGES"] = "OnRecvOfflineNewMessages";
    CbEvents["ONRECVMESSAGEREVOKED"] = "OnRecvMessageRevoked";
    CbEvents["ONRECVC2CREADRECEIPT"] = "OnRecvC2CReadReceipt";
    CbEvents["ONRECVGROUPREADRECEIPT"] = "OnRecvGroupReadReceipt";
    CbEvents["ONCONVERSATIONCHANGED"] = "OnConversationChanged";
    CbEvents["ONNEWCONVERSATION"] = "OnNewConversation";
    CbEvents["ONSYNCSERVERFAILED"] = "OnSyncServerFailed";
    CbEvents["ONSYNCSERVERFINISH"] = "OnSyncServerFinish";
    CbEvents["ONSYNCSERVERSTART"] = "OnSyncServerStart";
    CbEvents["ONTOTALUNREADMESSAGECOUNTCHANGED"] = "OnTotalUnreadMessageCountChanged";
    CbEvents["ONBLACKADDED"] = "OnBlackAdded";
    CbEvents["ONBLACKDELETED"] = "OnBlackDeleted";
    CbEvents["ONFRIENDAPPLICATIONACCEPTED"] = "OnFriendApplicationAccepted";
    CbEvents["ONFRIENDAPPLICATIONADDED"] = "OnFriendApplicationAdded";
    CbEvents["ONFRIENDAPPLICATIONDELETED"] = "OnFriendApplicationDeleted";
    CbEvents["ONFRIENDAPPLICATIONREJECTED"] = "OnFriendApplicationRejected";
    CbEvents["ONFRIENDINFOCHANGED"] = "OnFriendInfoChanged";
    CbEvents["ONFRIENDADDED"] = "OnFriendAdded";
    CbEvents["ONFRIENDDELETED"] = "OnFriendDeleted";
    CbEvents["ONJOINEDGROUPADDED"] = "OnJoinedGroupAdded";
    CbEvents["ONJOINEDGROUPDELETED"] = "OnJoinedGroupDeleted";
    CbEvents["ONGROUPMEMBERADDED"] = "OnGroupMemberAdded";
    CbEvents["ONGROUPMEMBERDELETED"] = "OnGroupMemberDeleted";
    CbEvents["ONGROUPAPPLICATIONADDED"] = "OnGroupApplicationAdded";
    CbEvents["ONGROUPAPPLICATIONDELETED"] = "OnGroupApplicationDeleted";
    CbEvents["ONGROUPINFOCHANGED"] = "OnGroupInfoChanged";
    CbEvents["ONGROUPMEMBERINFOCHANGED"] = "OnGroupMemberInfoChanged";
    CbEvents["ONGROUPAPPLICATIONACCEPTED"] = "OnGroupApplicationAccepted";
    CbEvents["ONGROUPAPPLICATIONREJECTED"] = "OnGroupApplicationRejected";
    CbEvents["ONRECEIVENEWINVITATION"] = "OnReceiveNewInvitation";
    CbEvents["ONINVITEEACCEPTED"] = "OnInviteeAccepted";
    CbEvents["ONINVITEEREJECTED"] = "OnInviteeRejected";
    CbEvents["ONINVITATIONCANCELLED"] = "OnInvitationCancelled";
    CbEvents["ONHANGUP"] = "OnHangUp";
    CbEvents["ONINVITATIONTIMEOUT"] = "OnInvitationTimeout";
    CbEvents["ONINVITEEACCEPTEDBYOTHERDEVICE"] = "OnInviteeAcceptedByOtherDevice";
    CbEvents["ONINVITEEREJECTEDBYOTHERDEVICE"] = "OnInviteeRejectedByOtherDevice";
    CbEvents["ONORGANIZATIONUPDATED"] = "OnOrganizationUpdated";
    CbEvents["ONRECVNEWMESSAGEFROMOTHERWEB"] = "OnRecvNewMessageFromOtherWeb";
    CbEvents["ONNEWRECVMESSAGEREVOKED"] = "OnNewRecvMessageRevoked";
    // reaction events
    CbEvents["ONRECVMESSAGEEXTENSIONSCHANGED"] = "OnRecvMessageExtensionsChanged";
    CbEvents["ONRECVMESSAGEEXTENSIONSDELETED"] = "OnRecvMessageExtensionsDeleted";
    CbEvents["ONRECVMESSAGEEXTENSIONSADDED"] = "OnRecvMessageExtensionsAdded";
})(CbEvents || (CbEvents = {}));
export var RequestFunc;
(function (RequestFunc) {
    RequestFunc["INITSDK"] = "InitSDK";
    RequestFunc["LOGIN"] = "Login";
    RequestFunc["LOGOUT"] = "Logout";
    RequestFunc["GETLOGINSTATUS"] = "GetLoginStatus";
    RequestFunc["GETLOGINUSER"] = "GetLoginUser";
    RequestFunc["GETSELFUSERINFO"] = "GetSelfUserInfo";
    RequestFunc["CREATETEXTMESSAGE"] = "CreateTextMessage";
    RequestFunc["CREATETEXTATMESSAGE"] = "CreateTextAtMessage";
    RequestFunc["CREATEADVANCEDTEXTMESSAGE"] = "CreateAdvancedTextMessage";
    RequestFunc["CREATEADVANCEDQUOTEMESSAGE"] = "CreateAdvancedQuoteMessage";
    RequestFunc["CREATEIMAGEMESSAGEFROMBYURL"] = "CreateImageMessageByURL";
    RequestFunc["CREATESOUNDMESSAGEBYURL"] = "CreateSoundMessageByURL";
    RequestFunc["CREATEVIDEOMESSAGEBYURL"] = "CreateVideoMessageByURL";
    RequestFunc["CREATEFILEMESSAGEBYURL"] = "CreateFileMessageByURL";
    RequestFunc["CREATEIMAGEMESSAGEFROMFULLPATH"] = "CreateImageMessageFromFullPath";
    RequestFunc["CREATESOUNDMESSAGEFROMFULLPATH"] = "CreateSoundMessageFromFullPath";
    RequestFunc["CREATEVIDEOMESSAGEFROMFULLPATH"] = "CreateVideoMessageFromFullPath";
    RequestFunc["CREATEFILEMESSAGEFROMFULLPATH"] = "CreateFileMessageFromFullPath";
    RequestFunc["CREATELOCATIONMESSAGE"] = "CreateLocationMessage";
    RequestFunc["CREATECUSTOMMESSAGE"] = "CreateCustomMessage";
    RequestFunc["CREATEMERGERMESSAGE"] = "CreateMergerMessage";
    RequestFunc["CREATEFORWARDMESSAGE"] = "CreateForwardMessage";
    RequestFunc["CREATEQUOTEMESSAGE"] = "CreateQuoteMessage";
    RequestFunc["CREATECARDMESSAGE"] = "CreateCardMessage";
    RequestFunc["CREATEFACEMESSAGE"] = "CreateFaceMessage";
    RequestFunc["SENDMESSAGE"] = "SendMessage";
    RequestFunc["SENDMESSAGENOTOSS"] = "SendMessageNotOss";
    RequestFunc["GETHISTORYMESSAGELIST"] = "GetHistoryMessageList";
    RequestFunc["GETADVANCEDHISTORYMESSAGELIST"] = "GetAdvancedHistoryMessageList";
    RequestFunc["GETHISTORYMESSAGELISTREVERSE"] = "GetHistoryMessageListReverse";
    RequestFunc["REVOKEMESSAGE"] = "RevokeMessage";
    RequestFunc["SETONECONVERSATIONPRIVATECHAT"] = "SetOneConversationPrivateChat";
    RequestFunc["DELETEMESSAGEFROMLOCALSTORAGE"] = "DeleteMessageFromLocalStorage";
    RequestFunc["DELETEMESSAGEFROMLOCALANDSVR"] = "DeleteMessageFromLocalAndSvr";
    RequestFunc["DELETECONVERSATIONFROMLOCALANDSVR"] = "DeleteConversationFromLocalAndSvr";
    RequestFunc["DELETEALLCONVERSATIONFROMLOCAL"] = "DeleteAllConversationFromLocal";
    RequestFunc["DELETEALLMSGFROMLOCALANDSVR"] = "DeleteAllMsgFromLocalAndSvr";
    RequestFunc["DELETEALLMSGFROMLOCAL"] = "DeleteAllMsgFromLocal";
    RequestFunc["MARKSINGLEMESSAGEHASREAD"] = "MarkSingleMessageHasRead";
    RequestFunc["INSERTSINGLEMESSAGETOLOCALSTORAGE"] = "InsertSingleMessageToLocalStorage";
    RequestFunc["INSERTGROUPMESSAGETOLOCALSTORAGE"] = "InsertGroupMessageToLocalStorage";
    RequestFunc["TYPINGSTATUSUPDATE"] = "TypingStatusUpdate";
    RequestFunc["MARKC2CMESSAGEASREAD"] = "MarkC2CMessageAsRead";
    RequestFunc["MARKMESSAGEASREADBYCONID"] = "MarkMessageAsReadByConID";
    RequestFunc["CLEARC2CHISTORYMESSAGE"] = "ClearC2CHistoryMessage";
    RequestFunc["CLEARC2CHISTORYMESSAGEFROMLOCALANDSVR"] = "ClearC2CHistoryMessageFromLocalAndSvr";
    RequestFunc["CLEARGROUPHISTORYMESSAGE"] = "ClearGroupHistoryMessage";
    RequestFunc["CLEARGROUPHISTORYMESSAGEFROMLOCALANDSVR"] = "ClearGroupHistoryMessageFromLocalAndSvr";
    RequestFunc["ADDFRIEND"] = "AddFriend";
    RequestFunc["SEARCHFRIENDS"] = "SearchFriends";
    RequestFunc["GETDESIGNATEDFRIENDSINFO"] = "GetDesignatedFriendsInfo";
    RequestFunc["GETRECVFRIENDAPPLICATIONLIST"] = "GetRecvFriendApplicationList";
    RequestFunc["GETSENDFRIENDAPPLICATIONLIST"] = "GetSendFriendApplicationList";
    RequestFunc["GETFRIENDLIST"] = "GetFriendList";
    RequestFunc["SETFRIENDREMARK"] = "SetFriendRemark";
    RequestFunc["ADDBLACK"] = "AddBlack";
    RequestFunc["GETBLACKLIST"] = "GetBlackList";
    RequestFunc["REMOVEBLACK"] = "RemoveBlack";
    RequestFunc["CHECKFRIEND"] = "CheckFriend";
    RequestFunc["ACCEPTFRIENDAPPLICATION"] = "AcceptFriendApplication";
    RequestFunc["REFUSEFRIENDAPPLICATION"] = "RefuseFriendApplication";
    RequestFunc["DELETEFRIEND"] = "DeleteFriend";
    RequestFunc["GETUSERSINFO"] = "GetUsersInfo";
    RequestFunc["SETSELFINFO"] = "SetSelfInfo";
    RequestFunc["GETALLCONVERSATIONLIST"] = "GetAllConversationList";
    RequestFunc["GETCONVERSATIONLISTSPLIT"] = "GetConversationListSplit";
    RequestFunc["GETONECONVERSATION"] = "GetOneConversation";
    RequestFunc["GETCONVERSATIONIDBYSESSIONTYPE"] = "GetConversationIDBySessionType";
    RequestFunc["GETMULTIPLECONVERSATION"] = "GetMultipleConversation";
    RequestFunc["DELETECONVERSATION"] = "DeleteConversation";
    RequestFunc["SETCONVERSATIONDRAFT"] = "SetConversationDraft";
    RequestFunc["PINCONVERSATION"] = "PinConversation";
    RequestFunc["GETTOTALUNREADMSGCOUNT"] = "GetTotalUnreadMsgCount";
    RequestFunc["GETCONVERSATIONRECVMESSAGEOPT"] = "GetConversationRecvMessageOpt";
    RequestFunc["SETCONVERSATIONRECVMESSAGEOPT"] = "SetConversationRecvMessageOpt";
    RequestFunc["SEARCHLOCALMESSAGES"] = "SearchLocalMessages";
    RequestFunc["MARKGROUPMESSAGEHASREAD"] = "MarkGroupMessageHasRead";
    RequestFunc["MARKGROUPMESSAGEASREAD"] = "MarkGroupMessageAsRead";
    RequestFunc["INVITEUSERTOGROUP"] = "InviteUserToGroup";
    RequestFunc["KICKGROUPMEMBER"] = "KickGroupMember";
    RequestFunc["GETGROUPMEMBERSINFO"] = "GetGroupMembersInfo";
    RequestFunc["GETGROUPMEMBERLIST"] = "GetGroupMemberList";
    RequestFunc["GETGROUPMEMBERLISTBYJOINTIME"] = "GetGroupMemberListByJoinTime";
    RequestFunc["GETJOINEDGROUPLIST"] = "GetJoinedGroupList";
    RequestFunc["CREATEGROUP"] = "CreateGroup";
    RequestFunc["SETGROUPINFO"] = "SetGroupInfo";
    RequestFunc["SETGROUPMEMBERNICKNAME"] = "SetGroupMemberNickname";
    RequestFunc["GETGROUPSINFO"] = "GetGroupsInfo";
    RequestFunc["JOINGROUP"] = "JoinGroup";
    RequestFunc["SEARCHGROUPS"] = "SearchGroups";
    RequestFunc["QUITGROUP"] = "QuitGroup";
    RequestFunc["DISMISSGROUP"] = "DismissGroup";
    RequestFunc["CHANGEGROUPMUTE"] = "ChangeGroupMute";
    RequestFunc["CHANGEGROUPMEMBERMUTE"] = "ChangeGroupMemberMute";
    RequestFunc["TRANSFERGROUPOWNER"] = "TransferGroupOwner";
    RequestFunc["GETSENDGROUPAPPLICATIONLIST"] = "GetSendGroupApplicationList";
    RequestFunc["GETRECVGROUPAPPLICATIONLIST"] = "GetRecvGroupApplicationList";
    RequestFunc["ACCEPTGROUPAPPLICATION"] = "AcceptGroupApplication";
    RequestFunc["REFUSEGROUPAPPLICATION"] = "RefuseGroupApplication";
    RequestFunc["SIGNAL_INGINVITE"] = "SignalingInvite";
    RequestFunc["SIGNALINGINVITEINGROUP"] = "SignalingInviteInGroup";
    RequestFunc["SIGNALINGACCEPT"] = "SignalingAccept";
    RequestFunc["SIGNALINGREJECT"] = "SignalingReject";
    RequestFunc["SIGNALINGCANCEL"] = "SignalingCancel";
    RequestFunc["SIGNALINGHUNGUP"] = "SignalingHungUp";
    RequestFunc["GETSUBDEPARTMENT"] = "GetSubDepartment";
    RequestFunc["GETDEPARTMENTMEMBER"] = "GetDepartmentMember";
    RequestFunc["GETUSERINDEPARTMENT"] = "GetUserInDepartment";
    RequestFunc["GETDEPARTMENTMEMBERANDSUBDEPARTMENT"] = "GetDepartmentMemberAndSubDepartment";
    RequestFunc["GETDEPARTMENTINFO"] = "GetDepartmentInfo";
    RequestFunc["SEARCHORGANIZATION"] = "SearchOrganization";
    RequestFunc["RESETCONVERSATIONGROUPATTYPE"] = "ResetConversationGroupAtType";
    RequestFunc["SETGROUPMEMBERROLELEVEL"] = "SetGroupMemberRoleLevel";
    RequestFunc["SETGROUPVERIFICATION"] = "SetGroupVerification";
    RequestFunc["SETGLOBALRECVMESSAGEOPT"] = "SetGlobalRecvMessageOpt";
    RequestFunc["MODIFYGROUPMESSAGEREACTION"] = "ModifyGroupMessageReaction";
    RequestFunc["SETMESSAGEREACTIONEXTENSIONS"] = "SetMessageReactionExtensions";
    RequestFunc["DELETEMESSAGEREACTIONEXTENSIONS"] = "DeleteMessageReactionExtensions";
    RequestFunc["ADDMESSAGEREACTIONEXTENSIONS"] = "AddMessageReactionExtensions";
    RequestFunc["GETMESSAGELISTREACTIONEXTENSIONS"] = "GetMessageListReactionExtensions";
    RequestFunc["GETMESSAGELISTSOMEREACTIONEXTENSIONS"] = "GetMessageListSomeReactionExtensions";
})(RequestFunc || (RequestFunc = {}));
export var Platform;
(function (Platform) {
    Platform[Platform["iOS"] = 1] = "iOS";
    Platform[Platform["Android"] = 2] = "Android";
    Platform[Platform["Windows"] = 3] = "Windows";
    Platform[Platform["MacOSX"] = 4] = "MacOSX";
    Platform[Platform["Web"] = 5] = "Web";
    Platform[Platform["Linux"] = 7] = "Linux";
    Platform[Platform["Admin"] = 8] = "Admin";
})(Platform || (Platform = {}));
export var MessageStatus;
(function (MessageStatus) {
    MessageStatus[MessageStatus["Sending"] = 1] = "Sending";
    MessageStatus[MessageStatus["Succeed"] = 2] = "Succeed";
    MessageStatus[MessageStatus["Failed"] = 3] = "Failed";
    MessageStatus[MessageStatus["Deleted"] = 4] = "Deleted";
    MessageStatus[MessageStatus["Recalled"] = 5] = "Recalled";
    MessageStatus[MessageStatus["Filtered"] = 6] = "Filtered";
})(MessageStatus || (MessageStatus = {}));
export var MessageType;
(function (MessageType) {
    MessageType[MessageType["TEXTMESSAGE"] = 101] = "TEXTMESSAGE";
    MessageType[MessageType["PICTUREMESSAGE"] = 102] = "PICTUREMESSAGE";
    MessageType[MessageType["VOICEMESSAGE"] = 103] = "VOICEMESSAGE";
    MessageType[MessageType["VIDEOMESSAGE"] = 104] = "VIDEOMESSAGE";
    MessageType[MessageType["FILEMESSAGE"] = 105] = "FILEMESSAGE";
    MessageType[MessageType["ATTEXTMESSAGE"] = 106] = "ATTEXTMESSAGE";
    MessageType[MessageType["MERGERMESSAGE"] = 107] = "MERGERMESSAGE";
    MessageType[MessageType["CARDMESSAGE"] = 108] = "CARDMESSAGE";
    MessageType[MessageType["LOCATIONMESSAGE"] = 109] = "LOCATIONMESSAGE";
    MessageType[MessageType["CUSTOMMESSAGE"] = 110] = "CUSTOMMESSAGE";
    MessageType[MessageType["REVOKEMESSAGE"] = 111] = "REVOKEMESSAGE";
    MessageType[MessageType["HASREADRECEIPTMESSAGE"] = 112] = "HASREADRECEIPTMESSAGE";
    MessageType[MessageType["TYPINGMESSAGE"] = 113] = "TYPINGMESSAGE";
    MessageType[MessageType["QUOTEMESSAGE"] = 114] = "QUOTEMESSAGE";
    MessageType[MessageType["FACEMESSAGE"] = 115] = "FACEMESSAGE";
    MessageType[MessageType["ADVANCETEXTMESSAGE"] = 117] = "ADVANCETEXTMESSAGE";
    MessageType[MessageType["ADVANCEDREVOKEMESSAGE"] = 118] = "ADVANCEDREVOKEMESSAGE";
    MessageType[MessageType["CUSTOMMSGNOTTRIGGERCONVERSATIONMESSAGE"] = 119] = "CUSTOMMSGNOTTRIGGERCONVERSATIONMESSAGE";
    MessageType[MessageType["CUSTOMMSGONLINEONLYMESSAGE"] = 120] = "CUSTOMMSGONLINEONLYMESSAGE";
    MessageType[MessageType["REACTIONMESSAGEMODIFIERMESSAGE"] = 121] = "REACTIONMESSAGEMODIFIERMESSAGE";
    MessageType[MessageType["REACTIONMESSAGEDELETERMESSAGE"] = 122] = "REACTIONMESSAGEDELETERMESSAGE";
    MessageType[MessageType["STARTMESSAGE"] = 130] = "STARTMESSAGE";
    MessageType[MessageType["MESSAGEDIVIDER"] = 131] = "MESSAGEDIVIDER";
    MessageType[MessageType["FRIENDAPPLICATIONAPPROVED"] = 1201] = "FRIENDAPPLICATIONAPPROVED";
    MessageType[MessageType["FRIENDAPPLICATIONREJECTED"] = 1202] = "FRIENDAPPLICATIONREJECTED";
    MessageType[MessageType["FRIENDAPPLICATIONADDED"] = 1203] = "FRIENDAPPLICATIONADDED";
    MessageType[MessageType["FRIENDADDED"] = 1204] = "FRIENDADDED";
    MessageType[MessageType["FRIENDDELETED"] = 1205] = "FRIENDDELETED";
    MessageType[MessageType["FRIENDREMARKSET"] = 1206] = "FRIENDREMARKSET";
    MessageType[MessageType["BLACKADDED"] = 1207] = "BLACKADDED";
    MessageType[MessageType["BLACKDELETED"] = 1208] = "BLACKDELETED";
    MessageType[MessageType["FRIENDINFOUPDATEDNOTIFICATION"] = 1209] = "FRIENDINFOUPDATEDNOTIFICATION";
    MessageType[MessageType["FRIENDNOTIFICATIONEND"] = 1299] = "FRIENDNOTIFICATIONEND";
    MessageType[MessageType["CONVERSATIONCHANGENOTIFICATION"] = 1300] = "CONVERSATIONCHANGENOTIFICATION";
    MessageType[MessageType["USERNOTIFICATIONBEGIN"] = 1301] = "USERNOTIFICATIONBEGIN";
    MessageType[MessageType["SELFINFOUPDATED"] = 1303] = "SELFINFOUPDATED";
    MessageType[MessageType["NOTIFICATION"] = 1400] = "NOTIFICATION";
    MessageType[MessageType["GROUPCREATED"] = 1501] = "GROUPCREATED";
    MessageType[MessageType["GROUPINFOUPDATED"] = 1502] = "GROUPINFOUPDATED";
    MessageType[MessageType["JOINGROUPAPPLICATIONADDED"] = 1503] = "JOINGROUPAPPLICATIONADDED";
    MessageType[MessageType["MEMBERQUIT"] = 1504] = "MEMBERQUIT";
    MessageType[MessageType["GROUPAPPLICATIONACCEPTED"] = 1505] = "GROUPAPPLICATIONACCEPTED";
    MessageType[MessageType["GROUPAPPLICATIONREJECTED"] = 1506] = "GROUPAPPLICATIONREJECTED";
    MessageType[MessageType["GROUPOWNERTRANSFERRED"] = 1507] = "GROUPOWNERTRANSFERRED";
    MessageType[MessageType["MEMBERKICKED"] = 1508] = "MEMBERKICKED";
    MessageType[MessageType["MEMBERINVITED"] = 1509] = "MEMBERINVITED";
    MessageType[MessageType["MEMBERENTER"] = 1510] = "MEMBERENTER";
    MessageType[MessageType["GROUPDISMISSED"] = 1511] = "GROUPDISMISSED";
    MessageType[MessageType["GROUPMEMBERMUTED"] = 1512] = "GROUPMEMBERMUTED";
    MessageType[MessageType["GROUPMEMBERCANCELMUTED"] = 1513] = "GROUPMEMBERCANCELMUTED";
    MessageType[MessageType["GROUPMUTED"] = 1514] = "GROUPMUTED";
    MessageType[MessageType["GROUPCANCELMUTED"] = 1515] = "GROUPCANCELMUTED";
    MessageType[MessageType["GROUPMEMBERINFOUPDATED"] = 1516] = "GROUPMEMBERINFOUPDATED";
    MessageType[MessageType["BURNMESSAGECHANGE"] = 1701] = "BURNMESSAGECHANGE";
    MessageType[MessageType["LOADINGMESSAGE"] = 2000] = "LOADINGMESSAGE";
})(MessageType || (MessageType = {}));
export var MessageExtensionsAction;
(function (MessageExtensionsAction) {
    MessageExtensionsAction[MessageExtensionsAction["SetMessageExtensions"] = 1] = "SetMessageExtensions";
    MessageExtensionsAction[MessageExtensionsAction["AddMessageExtensions"] = 2] = "AddMessageExtensions";
})(MessageExtensionsAction || (MessageExtensionsAction = {}));
