import Emitter from '../utils/emitter';
import { AdvancedMsgParams, AdvancedQuoteMsgParams, CustomMsgParams, DeleteMessageReactionExtensionsParams, GetAdvancedHistoryMsgParams, GetGroupMemberParams, GetHistoryMsgParams, GetMessageListReactionExtensionsParams, GetMessageListSomeReactionExtensionsParams, GetOneConversationParams, ImageMsgParams, LoginParam, MarkC2CParams, MarkNotiParams, modifyGroupMessageReactionParams, QuoteMsgParams, SendMsgParams, SetMessageReactionExtensionsParams, AddMessageReactionExtensionsParams } from '../types/params';
import { WsResponse } from '../types/entity';
declare class SDK extends Emitter {
    private wasmInitializedPromise;
    private goExitPromise;
    private goExisted;
    constructor(url?: string);
    _invoker(functionName: string, func: (...args: any[]) => Promise<any>, args: any[], processor?: (data: string) => string): Promise<WsResponse>;
    login(params: LoginParam, operationID?: string): Promise<any>;
    logout(operationID?: string): Promise<WsResponse>;
    getAllConversationList(operationID?: string): Promise<WsResponse>;
    getOneConversation(params: GetOneConversationParams, operationID?: string): Promise<WsResponse>;
    getAdvancedHistoryMessageList(params: GetAdvancedHistoryMsgParams, operationID?: string): Promise<WsResponse>;
    getHistoryMessageList(params: GetHistoryMsgParams, operationID?: string): Promise<WsResponse>;
    getGroupsInfo(params: string[], operationID?: string): Promise<WsResponse>;
    deleteConversationFromLocalAndSvr(conversationID: string, operationID?: string): Promise<WsResponse>;
    markC2CMessageAsRead(params: MarkC2CParams, operationID?: string): Promise<WsResponse>;
    markMessageAsReadByConID(params: MarkNotiParams, operationID?: string): Promise<WsResponse>;
    markNotifyMessageHasRead(conversationID: string, operationID?: string): Promise<WsResponse>;
    getGroupMemberList(params: GetGroupMemberParams, operationID?: string): Promise<WsResponse>;
    createTextMessage(text: string, operationID?: string): Promise<WsResponse>;
    createImageMessage(params: ImageMsgParams, operationID?: string): Promise<WsResponse>;
    createCustomMessage(params: CustomMsgParams, operationID?: string): Promise<WsResponse>;
    createQuoteMessage(params: QuoteMsgParams, operationID?: string): Promise<WsResponse>;
    createAdvancedQuoteMessage(params: AdvancedQuoteMsgParams, operationID?: string): Promise<WsResponse>;
    createAdvancedTextMessage(params: AdvancedMsgParams, operationID?: string): Promise<WsResponse>;
    sendMessage(params: SendMsgParams, operationID?: string): Promise<WsResponse>;
    sendMessageNotOss(params: SendMsgParams, operationID?: string): Promise<WsResponse>;
    getHistoryMessageListReverse(params: GetHistoryMsgParams, operationID?: string): Promise<WsResponse>;
    newRevokeMessage(data: string, operationID?: string): Promise<WsResponse>;
    revokeMessage(params: string, operationID?: string): Promise<WsResponse>;
    modifyGroupMessageReaction(params: modifyGroupMessageReactionParams, operationID?: string): Promise<WsResponse>;
    setMessageReactionExtensions(params: SetMessageReactionExtensionsParams, operationID?: string): Promise<WsResponse>;
    addMessageReactionExtensions(params: AddMessageReactionExtensionsParams, operationID?: string): Promise<WsResponse>;
    deleteMessageReactionExtensions(params: DeleteMessageReactionExtensionsParams, operationID?: string): Promise<WsResponse>;
    getMessageListReactionExtensions(params: GetMessageListReactionExtensionsParams, operationID?: string): Promise<WsResponse>;
    getMessageListSomeReactionExtensions(params: GetMessageListSomeReactionExtensionsParams, operationID?: string): Promise<WsResponse>;
    updateFcmToken(fcmToken: string, operationID?: string): Promise<WsResponse>;
    setAppBackgroundStatus(isBackground: boolean, operationID?: string): Promise<WsResponse>;
    setAppBackground(operationID?: string): Promise<WsResponse>;
    setAppForeground(operationID?: string): Promise<WsResponse>;
    exportDB(operationID?: string): Promise<WsResponse>;
}
export declare function getSDK(url?: string): SDK;
export {};
