import { MessageEntity, OfflinePush, PicBaseInfo } from './entity';
declare type LoginParam = {
    userID: string;
    token: string;
    platformID: number;
    apiAddress: string;
    wsAddress: string;
    logLevel?: number;
    isCompression?: boolean;
    isExternalExtensions?: boolean;
};
declare type GetOneConversationParams = {
    sourceID: string;
    sessionType: number;
};
declare type GetAdvancedHistoryMsgParams = {
    userID: string;
    lastMinSeq: number;
    groupID: string;
    conversationID?: string;
    startClientMsgID: string;
    count: number;
};
declare type GetHistoryMsgParams = {
    userID: string;
    groupID: string;
    count: number;
    startClientMsgID: string;
    conversationID?: string;
};
declare type MarkC2CParams = {
    userID: string;
    msgIDList: string[];
};
declare type MarkNotiParams = {
    conversationID: string;
    msgIDList: string[];
};
declare type GetGroupMemberParams = {
    groupID: string;
    filter: number;
    offset: number;
    count: number;
};
declare type SendMsgParams = {
    recvID: string;
    groupID: string;
    offlinePushInfo?: OfflinePush;
    message: string;
};
declare type ImageMsgParams = {
    sourcePicture: PicBaseInfo;
    bigPicture: PicBaseInfo;
    snapshotPicture: PicBaseInfo;
};
declare type CustomMsgParams = {
    data: string;
    extension: string;
    description: string;
};
declare type QuoteMsgParams = {
    text: string;
    message: string;
};
declare type AdvancedQuoteMsgParams = {
    text: string;
    message: string;
    messageEntityList?: MessageEntity[];
};
declare type AdvancedMsgParams = {
    text: string;
    messageEntityList?: MessageEntity[];
};
declare type KeyValue = {
    typeKey: string;
    value: string;
    latestUpdateTime: number;
};
declare type MessageReaction = {
    clientMsgID: string;
    reactionType: number;
    counter: number;
    userID: string;
    groupID: string;
    sessionType: number;
    info: string;
};
declare type modifyGroupMessageReactionParams = {
    counter: number;
    reactionType: number;
    groupID: string;
    msgID: string;
};
declare type SetMessageReactionExtensionsParams = {
    messageStr: string;
    reactionExtensionListStr: string;
};
declare type DeleteMessageReactionExtensionsParams = {
    messageStr: string;
    reactionExtensionKeyListStr: string;
};
declare type GetMessageListReactionExtensionsParams = {
    messageListStr: string;
};
declare type GetMessageListSomeReactionExtensionsParams = {
    messageListStr: string;
    reactionExtensionKeyListStr: string;
};
declare type SetMessageReactionExtensionsCallback = {
    key: string;
    value: string;
    errCode?: number;
    errMsg?: string;
};
declare type SetMessageReactionExtensionsReq = {
    operationID: string;
    clientMsgID: string;
    sourceID: string;
    sessionType: number;
    reactionExtensionList: Record<string, KeyValue>;
    isReact: boolean;
    isExternalExtensions: boolean;
    msgFirstModifyTime: number;
};
declare type DeleteMessageReactionExtensionsReq = {
    operationID: string;
    sourceID: string;
    sessionType: number;
    clientMsgID: string;
    msgFirstModifyTime: number;
    reactionExtensionList: Array<KeyValue>;
};
declare type OperateMessageListReactionExtensionsReq = {
    clientMsgID: string;
    msgFirstModifyTime: number;
};
declare type GetMessageListReactionExtensionsReq = {
    operationID: string;
    sourceID: string;
    sessionType: number;
    isExternalExtensions: boolean;
    typeKeyList: Array<string>;
    messageReactionKeyList: Array<OperateMessageListReactionExtensionsReq>;
};
declare type AddMessageReactionExtensionsReq = {
    operationID: string;
    clientMsgID: string;
    sourceID: string;
    sessionType: number;
    reactionExtensionList: Record<string, KeyValue>;
    isReact: boolean;
    isExternalExtensions: boolean;
    msgFirstModifyTime: number;
};
declare type AddMessageReactionExtensionsParams = {
    messageStr: string;
    reactionExtensionListStr: string;
};
declare type AddMessageReactionExtensionsParam = Array<KeyValue>;
export { LoginParam, GetOneConversationParams, GetAdvancedHistoryMsgParams, GetHistoryMsgParams, MarkC2CParams, MarkNotiParams, GetGroupMemberParams, SendMsgParams, ImageMsgParams, CustomMsgParams, QuoteMsgParams, AdvancedQuoteMsgParams, AdvancedMsgParams, MessageReaction, modifyGroupMessageReactionParams, SetMessageReactionExtensionsParams, DeleteMessageReactionExtensionsParams, GetMessageListReactionExtensionsParams, GetMessageListSomeReactionExtensionsParams, SetMessageReactionExtensionsCallback, SetMessageReactionExtensionsReq, DeleteMessageReactionExtensionsReq, GetMessageListReactionExtensionsReq, AddMessageReactionExtensionsReq, AddMessageReactionExtensionsParams, AddMessageReactionExtensionsParam, };
